media:
  video:
    mp4: video/mp4
    mov: video/quicktime
    m4v: video/x-m4v
    swf: video/x-flv

  image:
    jpg: image/jpeg
    jpeg: image/jpeg
    png: image/png
    gif: image/gif

  file:
    txt: text/plain
    doc: application/msword
    html: text/html
    pdf: application/pdf
    zip: application/zip
    gz: application/gzip

form:
  key: filename
  fields:
    upload:
      type: upload
      label: Upload
      allow:
        @media.*.keys
      accept:
        @media.*.values

    filename:
      type: text
      label: Filename

    type:
      type: hidden
      default: video

    name:
      type: unset

    description:
      type: textarea
      label: Description

    url:
      type: unset

    path:
      type: unset

    thumb:
      type: unset

    width:
      type: text
      label: Width

    height:
      type: text
      label: Height

    mime:
      type: hidden
      default: 'application/octet-stream'

    modified:
      type: unset
